declare variable $count as xs:integer := 0;
for $art in collection("TTAGGER-france")//article

for $elt in $art/element
let $nom-adj :=
  if (($elt/data[1]/text()="NOM") 
    and ($elt/following-sibling::element[1]/data[1]/text()="ADJ"))
  then (
      concat($elt/data[3]/text()," ",
      $elt/following-sibling::element[1]/data[3]/text()," ")
  )
  else (
    "&#10;"
  )
where $nom-adj != "&#10;"
group by $a:= $nom-adj
order by count($nom-adj) descending 
return concat(count($nom-adj), " ", $a)